
from odoo.tests import tagged
from odoo.addons.base.tests.common import HttpCaseWithUserPortal


@tagged('post_install', '-at_install')
class TestScaleUp(HttpCaseWithUserPortal):

    def test_01_scaleup_teacher_register(self):
        self.start_tour("/", 'scaleup_teacher_register')

        lead = self.env['crm.lead'].search([], order='id DESC', limit=1)
        self.assertEqual(lead.name, 'ScaleUp: My Business School')
        self.assertEqual(lead.type, 'opportunity')
        self.assertIn(self.env.ref('openerp_website.tag_edu_teacher_lead'), lead.tag_ids)

        attachment = self.env['ir.attachment'].search([('res_model', '=', 'crm.lead'), ('res_id', '=', lead.id)])
        self.assertEqual(len(attachment), 1)
        self.assertEqual(attachment.name, 'My Proof.txt')

        action = lead.action_prepare_picking_scaleup()  # Send ScaleUp
        self.assertEqual(action['res_model'], 'stock.picking')
        self.assertTrue(action.get('res_id'))

        scaleup_product = self.env.ref('openerp_delivery.product_business_game_product_template').product_variant_id
        picking = self.env['stock.picking'].browse(action['res_id'])
        self.assertEqual(picking.move_ids.mapped('product_id'), scaleup_product)
